/*
 * skillchains-prefs.js
 *
 * Copyright (c) 2004 by Daniel Potter.  All rights reserved.
 *
 * This file is part of the FFXI Skillchains Tool.
 *
 * The FFXI Skillchains Tool is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The FFXI Skillchains Tool is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the FFXI Skillchains Tool; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Handles setting and retrieving of options related to the Skillchains tool.
 */

var skillchainPrefs = Components.classes["@mozilla.org/preferences-service;1"].
               getService(Components.interfaces.nsIPrefService);
skillchainPrefs = skillchainPrefs.getBranch("skillchains.");

function getRememberSettings() {
    try {
	return skillchainPrefs.getBoolPref("restore.state");
    } catch (ex) {
	return true;
    }
}

function setRememberSettings(rememberSettings) {
    skillchainPrefs.setBoolPref("restore.state", rememberSettings ? true : false);
}

function getRememberNames() {
    try {
	return skillchainPrefs.getBoolPref("restore.names");
    } catch (ex) {
	return false;
    }
}

function setRememberNames(rememberNames) {
    skillchainPrefs.setBoolPref("restore.names", rememberNames ? true : false);
}

function getShowElements() {
    try {
	return skillchainPrefs.getBoolPref("elements");
    } catch (ex) {
	return true;
    }
}

function setShowElements(showElements) {
    skillchainPrefs.setBoolPref("elements", showElements ? true : false);
}

function getShowChainElements() {
    try {
	return skillchainPrefs.getBoolPref("elements.chain");
    } catch (ex) {
	return true;
    }
}

function setShowChainElements(showChainElements) {
    skillchainPrefs.setBoolPref("elements.chain", showChainElements ? true : false);
}

function getShowChainElementNames() {
    try {
	return skillchainPrefs.getBoolPref("elements.chain.name");
    } catch (ex) {
	return true;
    }
}

function setShowChainElementNames(showChainElementNames) {
    skillchainPrefs.setBoolPref("elements.chain.name", showChainElementNames ? true : false);
}

function getShowChainIcons() {
    try {
	return skillchainPrefs.getBoolPref("chain.icons");
    } catch (ex) {
	return true;
    }
}

function setShowChainIcons(showChainIcons) {
    skillchainPrefs.setBoolPref("chain.icons", showChainIcons ? true : false);
}

function getArrowType() {
    try {
	return skillchainPrefs.getCharPref("arrow");
    } catch (ex) {
	return "image";
    }
}

function setArrowType(arrowType) {
    skillchainPrefs.setCharPref("arrow", arrowType == "unicode" ? arrowType : "image");
}

function getSkillchainBoolPref(prefname, defValue) {
    try {
	return skillchainPrefs.getBoolPref(prefname);
    } catch (ex) {
	return defValue;
    }
}

function setSkillchainBoolPref(prefname, value) {
    skillchainPrefs.setBoolPref(prefname, value);
}

function getSkillchainPref(prefname, defValue) {
    try {
	return skillchainPrefs.getCharPref(prefname);
    } catch (ex) {
	return defValue;
    }
}

function setSkillchainPref(prefname, value) {
    skillchainPrefs.setCharPref(prefname, value);
}
